using System;
using NinjaTrader.Cbi;

internal sealed class Delegate765 : MulticastDelegate
{
	public extern Execution Invoke(object object_0);

	public static Execution smethod_0(object object_0, Delegate765 delegate765_1)
	{
		return delegate765_1(object_0);
	}

	public extern Delegate765(object object_0, IntPtr intptr_0);

	static Delegate765()
	{
		Class10.smethod_13(typeof(Delegate765).TypeHandle);
	}

	internal static Delegate765 delegate765_0;
}
